jQuery(document).ready(function ($) {
(function($) {
	var check = 0;
    $(function() {
        var jcarousel = $('.jcarousel');
        jcarousel
            .on('jcarousel:reload jcarousel:create', function () {
                var carousel = $(this),
				checkContent = carousel.find('.checkContent').text();
				tag_id = carousel.parent().attr('id');
                width = carousel.innerWidth();	
                height = parseInt($('#'+tag_id+' .heightJcarosel').text());
                carousel.jcarousel('items').css('width', Math.ceil(width) + 'px'); 
				if(checkContent == 1){
				if(width > 478){
					var width_img = parseInt((width*67)/100);
					var width_content = width - width_img - 60;
					carousel.jcarousel('items').find('.img-item-sj-coolslider').css('width',width_img-3);
					carousel.jcarousel('items').find('.content-item-sj-coolslider').css('width',width_content);
					$('#'+tag_id+' .jcarousel-control-next').css('left',width_img-74);
					carousel.jcarousel('items').find('iframe,video').attr('width',width_img-3);
					carousel.css('height', Math.ceil(height) + 'px');
					$('#'+tag_id).find('.jcarousel-control-prev').css('border','1px solid #fff');
					$('#'+tag_id).find('.jcarousel-control-next').css('border','1px solid red');
					$('#'+tag_id).find('.jcarousel-control-next-img,.jcarousel-control-prev-img').css('display','block');
				}else{
					carousel.jcarousel('items').find('.img-item-sj-coolslider').css('width',width);
					carousel.jcarousel('items').find('.content-item-sj-coolslider').css('width',width-60);
					$('#'+tag_id+' .jcarousel-control-next').css('left',width-74);
					carousel.jcarousel('items').find('iframe,video').attr('width',width);
					carousel.jcarousel('items').css('height', Math.ceil(2*height) + 'px'); 
					carousel.css('height', Math.ceil(2*height) + 'px');
					$('#'+tag_id).find('.jcarousel-control-prev,.jcarousel-control-next').css('border','none');
					$('#'+tag_id).find('.jcarousel-control-next-img,.jcarousel-control-prev-img').css('display','none');
				}
				}else{
					carousel.jcarousel('items').find('.img-item-sj-coolslider').css('width',width);
					carousel.css('height', Math.ceil(height) + 'px');
				}
            })
            .jcarousel({
                wrap: 'circular'
            });

        $('.jcarousel-control-prev')
            .jcarouselControl({
                target: '-=1'
            });

        $('.jcarousel-control-next')
            .jcarouselControl({
                target: '+=1'
            });

        $('.jcarousel-pagination')
            .on('jcarouselpagination:active', 'a', function() {
                $(this).addClass('active');
            })
            .on('jcarouselpagination:inactive', 'a', function() {
                $(this).removeClass('active');
            })
            .on('click', function(e) {
                e.preventDefault();
            })
            .jcarouselPagination({
                perPage: 1,
                item: function(page) {
                    return '<a href="#' + page + '">' + page + '</a>';
                }
            });
    });
})(jQuery);
});